<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_10</title>
</head>
<body>
    <h1>Capitulo 10</h1>
    <a>Ejercicio 9</a>

    <script>

        const buscar = (mat, n, x) => {
            
            if (n === 0) {
                return -1; 
            }

            for (let i = 0; i < n; i++) {
                for (let j = 0; j < n; j++) {
                    
                    if (mat[i][j] === x) {
                        console.log("Elemento encontrado en la fila: " + (i+1) + ", columna: " + (j+1));
                        return 1;
                    }
                }
            }

            console.log("Elemento no encontrado");
            return 0;
        }

        let mat = [[10, 20, 30, 40], 
                   [15, 25, 35, 45], 
                   [27, 29, 37, 48],
                   [32, 33, 39, 50]];
        buscar(mat, 4, 29);        
        
</script>
    
</body>
</html>